Issue 43923

Summary: Pasting a partial table with merged cells misaligns columns
Product: Writer Reporter: hansel <hroush>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: don.troodon, issues
Version: OOo 2.0 Beta   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
One page 2006 calendar created in a OOo Writer table none

Description hansel 2005-03-02 16:36:19 UTC
I created some calendar templates by using a table in OOo Writer and wanted to
copy and paste all of it except for the last two columns of the table to another
document... most of the rows that contain merged cells will have some slightly
misaligned columns when it is pasted which seem impossible to straighten out. I
have tried this running on RedHat OOo 680_79, OOo 1.1.2, and on WinXP OOo 680_69
with the same results.  As a work around I was able to copy the entire table and
paste it into the new document and then delete the columns that I did not want
in there. I will attach a copy of the template so you can try pasting it for
yourselves.
Comment 1 hansel 2005-03-02 16:39:11 UTC
Created attachment 23255 [details]
One page 2006 calendar created in a OOo Writer table
Comment 2 michael.ruess 2005-03-03 10:48:54 UTC
MRU->FME: when a part of the table (as described) is pasted into a new document,
there are many cell borders which are misaligned to the left/right border of the
above/below cell.
Comment 3 andreas.martens 2005-03-04 14:46:23 UTC
If it's not fixed in time for OOo2.0, it should be fixed for OOo2.0.1.
Comment 4 frank.meies 2005-03-10 10:56:33 UTC
FME: Copy & paste of parts of a table inserts a new table with the same width
like the original table. The widths of the pasted columns are proportionally
adjusted to fill the new table. This can result in rounding problems, especially
if there are merged/split table cells in the pasted columns. Since this isn't a
regression and due to a lack of resources, I lower the priority and set the
target to 'OOo later'.